Změny v htaccess pro Apache 2.4

(Ostatní)

Zdroj: httpd.apache.org

V dokumentaci pro upgrade Apache jsou uvedeny změny zápisu některých hojně využívaných nastavení v souboru .htaccess. Tento článek popisuje změnu v rámci kontroly přístupů.

Využívání starých zápisů pro Apache 2.4 může způsobovat zobrazování chyby 500 Server Internal Error.

Příklad, povolen přístup z IP adresy 10.0.0.1, ostatní jsou blokovány.

Apache 2.2:

Order allow, deny

Allow from 10.0.0.1

Deny from all

Apache 2.4

Require ip 10.0.0.1

Příklad, zakázán přístup z IP adresy 10.0.0.1, ostatní jsou povoleny.

Apache 2.2:

Order deny, allow

Deny from 10.0.0.1

Allow from all

Apache 2.4

Require all granted

Require not ip 10.0.0.1



Zpětná vazba (feedback)

Byl tento článek nesrozumitelný, obsahoval nepřesné informace, nebo v něm nějaké informace chyběly?
Napište nám nebo využijte komentářů níže.

Komentáře

Nový komentář

(nebude zobrazen)